c----------------------------------------------------------------------
      subroutine alegdm(c1,lc1,mmx,mdm,plm)
c     Associated legendre function P_l^m(z) 
C     for given z=cos(theta), l, and m=0-m_max 
C---------------------------------------------------------------------
C  Important Notice   
C    Do-loop of l must run from l=0 just outside this subroutine 
c----------------------------------------------------------------------
C   Input
C     c1 : z=cos(theta)
C     lc1: l
C     mmx: m_max +1
C     mdm: dimension of plm assigned in outer subprogram
C   Local
C     m1 : m+1
C   Output
C     plm(m1): P_l^m(z)
C-----------------------------------------------------------------------
      implicit none
C   Input
      integer lc1,mmx,mdm
      real*4  c1
C   Local
      integer m1
      real*4 s1,t1,t2,t3,t4,t5,t6
      real*4 p(mdm),pp(mdm)
C   Outtput
      real*4 plm(*)
c
      if(c1.eq.1.0) then
        plm(1)=1.0
        if(mmx.le.1) return
        do m1=2,mmx
          plm(m1)=0.0
        end do
      else if(c1.eq.-1.0) then
        plm(1)=(-1.0)**lc1
        if(mmx.le.1) return
        do m1=2,mmx
          plm(m1)=0.0
        end do
      else 
         s1=sqrt(1.0-c1*c1)
         t1=2*lc1+1
         t2=2*lc1-1
         do 150 m1=1,mmx
            if(lc1-m1+1.lt.0) return
            if(lc1-m1+1.eq.0) then
               if(lc1.ne.0) then
                  t3=t3*t2*s1
               else
                  t3=1.0
               end if
               t4=t3
               p(m1)=t1*c1*t4
            else
               t4=p(m1)
               t5=lc1-m1+2
               t6=lc1+m1-1
               p(m1)=(t1*c1*t4-t6*pp(m1))/t5
            end if
            pp(m1)=t4
            plm(m1)=t4
 150     continue
       end if
c
      return
      end
