c--------------------------------------------------------------
      subroutine fxpot
c      Fix potentials
c--------------------------------------------------------------
      include 'dimn.fh'
      include 'cntl.fh'
      include 'base.fh'
      include 'opta1.fh'
      include 'stdpot.fh'
      include 'potspc.fh'
c=====================================================================
c  Set imaginary potential parameters for hole states
c---------------------------------------------------------------------
        do ich=1,2
           wd(ich)   =0.0
           rid(ich)  =rid(ich+2)
           aid(ich)  =aid(ich+2)
           WV0(ich)  =WV0(ich+2)
           WS0(ich)  =WS0(ich+2)
           RVD2(ICH) =RVD2(ICH+2)
           AVD2(ICH) =AVD2(ICH+2)
        end do
c====================================================================
c  Set products of charges =0 for PWIA 
c--------------------------------------------------------------------- 
        if(ktdw.eq.0) then 
           do ich=1,2
              ktdrc(ich)=0
              zz1(ich)  =0.0
              vd1(ich)  =0.0
              wd1(ich)  =0.0
              vsod1(ich)=0.0
              wsod(ich) =0.0
           end do
        end if
c=====================================================================
c  complete parameters for Delta
c---------------------------------------------------------------------
        if(KTND.eq.1) then
           do ich=6,8
              vd(ich) =vd(5)
              rrd(ich)=rrd(5)
              ard(ich)=ard(5)
              vsod(ich)=vsod(5)
              rsod(ich)=rsod(5)
              asod(ich)=asod(5)
              wd(ich)   =wd(5)
              rid(ich)  =rid(5)
              aid(ich)  =aid(5)
              rcd(ich)  =rcd(5)
              WV0(ICH)=WV0(5)
              WS0(ICH)=WS0(5)
              RVD2(ICH) =RVD2(5)
              AVD2(ICH) =AVD2(5)
           end do
           do ich=5,8
              BDIFD(ICH) = 0.0
              REFFD(ICH) = 1.0
              AEFFD(ICH) = 1.0
              alphsw(ich)= 0.0
              eps0sw(ich)= 100.0
              eps1sw(ich)= 100.0
           end do
        end if
c-----------------------------------------------------------
c  Set radius and diffuseness parameters not to be 0,
c  for avoiding zero division
c-----------------------------------------------------------
c  For mean fields
c---------------------------------------------------------------
         do ich=1,8
          if(rrd(ich).lt.1.e-5) rrd(ich)=1.0
          if(ard(ich).lt.1.e-5) ard(ich)=1.0
          if(rcd(ich).lt.1.e-5) rcd(ich)=1.0
          if(rid(ich).lt.1.e-5) rid(ich)=1.0
          if(aid(ich).lt.1.e-5) aid(ich)=1.0
          if(rsod(ich).lt.1.e-5) rsod(ich)=rrd(ich)
          if(asod(ich).lt.1.e-5) asod(ich)=ard(ich)
          IF(RVD2(ICH).LT.1.E-5) RVD2(ICH)=RiD(ICH)
          IF(AVD2(ICH).LT.1.E-5) AVD2(ICH)=AiD(ICH)
          IF(REFFD(ICH).LT.1.E-5) REFFD(ICH)=RRD(ICH)
          IF(AEFFD(ICH).LT.1.E-5) AEFFD(ICH)=ARD(ICH)
          IF((WV0(ICH).LT.1.E-5).AND.(WS0(ICH).LT.1.E-5)) then
             WV0(ICH)=1.0
             WS0(ICH)=0.0
          END IF
        end do
c--------------------------------------------------------------
c   For optical potentials
c--------------------------------------------------------------
        do ich=1,2
          if(abs(rrd1(ich)).lt.1.e-5) rrd1(ich)=1.0
          if(ard1(ich).lt.1.e-5) ard1(ich)=1.0
          if(abs(rcd1(ich)).lt.1.e-5) rcd1(ich)=1.0
          if(abs(rid1(ich)).lt.1.e-5) rid1(ich)=1.0
          if(aid1(ich).lt.1.e-5) aid1(ich)=1.0
          if(abs(rsord(ich)).lt.1.e-5) rsord(ich)=rrd1(ich)
          if(asord(ich).lt.1.e-5) asord(ich)=ard1(ich)
          if(abs(rsoid(ich)).lt.1.e-5) rsoid(ich)=rid1(ich)
          if(asoid(ich).lt.1.e-5) asoid(ich)=aid1(ich)
        end do  
c===================================================================
        return
      end
