      SUBROUTINE GLOBHE(IFIT,TPLAB,AA,R,VVA,WVA,VSA,WSA,NSTEP)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION R(NSTEP),VVA(NSTEP),WVA(NSTEP),VSA(NSTEP),WSA(NSTEP)
      IF(TPLAB.LT.156.0D0.OR.TPLAB.GT.1728.D0) WRITE(6,601)
 601  FORMAT(' ',' YOU ARE EXTRAPOLATING IN ENERGY !!?? '/)
      IF(AA.NE.4.D0) WRITE(6,602)
 602  FORMAT(' ',' YOU ARE EXTRAPOLATING IN MASS NUMBER !!?? '/)
C
CCC  
      AMU=931.5016D0
      WT=AA*AMU
      EE=TPLAB
      ACB=AA**0.33333333333333333D0
CC
CC--------------------------------------------------------------
CC TRANSFORM TO 2 BODY CM FRAME AND CALCULATE RECOIL FACTORS
CC
        WP=1.0072545D0*AMU
        CWT=AA**0.3333333333333333D0
        EL=EE+WP
        WP2=WP**2
        WT2=WT**2
        PCM=DSQRT(WT2*(EL**2-WP2)/(WP2+WT2+2.0D0*WT*EL))
        EPCM=DSQRT(WP2+PCM**2)
        ETCM=DSQRT(WT2+PCM**2)
        SR=EPCM+ETCM
        EKINCM=SR-WP-WT
        TCM=EKINCM
CC
        EPS=EPCM/1000.0
        E=EPS
        RECV=(ETCM /SR)
        RECS=(WT/SR)
CC-------------------------------------------------------------------
CC Please refer to Phys. Rev. C 73, 024608 (2006)
CC                 by B.C.Clark et al.
CC E     = x = 1000/E_{c.m.}^p in this paper
CC SSUBR = S_R                 in this paper
CC DSUBR = D_R                 in this paper
CC-------------------------------------------------------------------
      SSUBR = -978.5503603D+00
     &        +4316.904390D+00/E
     &        -6608.849154D+00/E**2
     &        +3231.566144D+00/E**3
      DSUBR = -875.2315053D+00*(1.0D+00/E)**0.80D+00
     &        +2232.447037D+00*(1.0D+00/E)**1.80D+00
CC    Real Vector Volume (V1)
      VV = (SSUBR+DSUBR)/2.0D+00
      RV1 = 8.617616893D+00
     &     -29.84965759D+00/E
     &     +37.88503845D+00/E**2
     &     -16.39919464D+00/E**3
      AV1 = 0.786091018D+00
     &     -2.076885320D+00/E
     &     +3.035244766D+00/E**2
     &     -1.435519343D+00/E**3
      W1V1 = 0.9967839657D+00
      W2V1 =-0.03090937349D+00
CC    Imag. vector Volume (V2)
      WV =  50.79424956D+00
     &     -579.6270433D+00/E
     &     +380.1128566D+00/E**2
     &     +54.69695846D+00/E**3
      RV2 = 11.70038533D+00
     &     -46.18432913D+00/E
     &     +63.90965243D+00/E**2
     &     -28.86857144D+00/E**3
      AV2 =-3.646922078D+00
     &     +16.51799610D+00/E
     &     -23.01720173D+00/E**2
     &     +10.53173074D+00/E**3
      W1V2 = 0.1331521091D+00
      W2V2 = 0.2842912264D+00
CC    Real Scalar Volume (S1)
      VS = (SSUBR-DSUBR)/2.0D+00
      RS1 = 2.927371087D+00
     &     -6.267362964D+00/E
     &     +5.421153798D+00/E**2
     &     -1.538166556D+00/E**3
      AS1 = 1.203172799D+00
     &     -3.820557035D+00/E
     &     +5.233705616D+00/E**2
     &     -2.406689149D+00/E**3
      W1S1 = 0.4205562336D+00
      W2S1 = 0.4074032181D+00
CC    Imag. Scalar Volume (S2)
      WS = 125.0D+00*(1.0D+00/E)**(0.25D+00)
      RS2 = 14.99124087D+00
     &     -60.15737738D+00/E
     &     +83.72437219D+00/E**2
     &     -38.06370158D+00/E**3
      AS2 =-7.959644910D+00
     &     +34.05359443D+00/E
     &     -46.26205326D+00/E**2
     &     +20.64969278D+00/E**3
      W1S2 = 0.25D+00
      W2S2 = 0.0D+00
CC
CC---------------------------------------------------------------------
CC
      DO 10 I=1,NSTEP
         TMP1 = R(I)
         E1=DEXP( (RV1*ACB-TMP1)/AV1)
         E2=DEXP(-(RV1*ACB+TMP1)/AV1)
         RVA1 = RECV*VV*E1/((1+E1)*(1+E2))
     &        *(1.0D+00+W1V1*(TMP1/(RV1*ACB))**2
     &                 +W2V1*(TMP1/(RV1*ACB))**4)
         E1=DEXP( (RV2*ACB-TMP1)/AV2)
         E2=DEXP(-(RV2*ACB+TMP1)/AV2)
         RVA2 = RECV*WV*E1/((1+E1)*(1+E2))
     &        *(1.0D+00+W1V2*(TMP1/(RV2*ACB))**2
     &                 +W2V2*(TMP1/(RV2*ACB))**4)
         E1=DEXP( (RS1*ACB-TMP1)/AS1)
         E2=DEXP(-(RS1*ACB+TMP1)/AS1)
         RSA1 = RECS*VS*E1/((1+E1)*(1+E2))
     &        *(1.0D+00+W1S1*(TMP1/(RS1*ACB))**2
     &                 +W2S1*(TMP1/(RS1*ACB))**4)
         E1=DEXP( (RS2*ACB-TMP1)/AS2)
         E2=DEXP(-(RS2*ACB+TMP1)/AS2)
         RSA2 = RECS*WS*E1/((1+E1)*(1+E2))
     &        *(1.0D+00+W1S2*(TMP1/(RS2*ACB))**2
     &                 +W2S2*(TMP1/(RS2*ACB))**4)
CC
         VVA(I)=RVA1
         WVA(I)=RVA2
         VSA(I)=RSA1
         WSA(I)=RSA2
 10    CONTINUE
      RETURN
      END
