c---------------------------------------------------------------------
      subroutine input0(epsj,Vtautau,knmin,knmax,prmass,ejmass,tgmass,
     &     EFL,WSHIFT,difm,thetlmn,dthetl,omglmn,domegl,IRUMAX,
     &     lparmn,lparmx,KTLTR,obex)
c      input for continuum rpa + DWIA
c---------------------------------------------------------------------
c  parameter command for the dimensions
      include 'dimn.fh'
c  common blocks
      include 'ndp.fh'
      include 'fund1.fh'
      include 'fund2.fh'
      include 'base.fh'
      include 'numrun.fh'
      include 'cntl.fh'
      include 'opep.fh'
      include 'gprtrm.fh'
      include 'hprtrm.fh'
      include 'opta1.fh'
      include 'opta2.fh'
      include 'orbt.fh'
c
      include 'theta.fh'
      include 'drcpot.fh'
      include 'stdpot.fh'
      include 'potspc.fh'
c
      dimension KTCAL(10),KTOUT(10)
      dimension a(8)
c=============================================================
c  Prefixed parameters
C==============================================================
      real*8 AMU/931.494043d0/      !Atomic mass unit
      real*8 mproton/938.2731d0/    !Proton mass
      real*8 mneutron/939.56563d0/  !Neutron mass
      REAL*8 MN_AV/938.91937d0/     !Average nucleon mass
      real*4 mDelta/1236.0/         !Delta mass
ccc      real*4 mDelta/1232.0/         !Delta mass
c
      data pz  /0.0,1.0,0.0,1.0,-1.0, 0.0, 1.0, 2.0 /
      data pspn/0.5,0.5,0.5,0.5, 1.5, 1.5, 1.5, 1.5 /
      data istr/0,1/         !transferred spins
      data pspn1/0.5,0.5/    !projectile and ejectile spins
c-------------------------------------------------------------------
      difm = mDelta-MN_AV
      pmas(1)=mneutron/AMU
      pmas(2)=mproton/AMU
      pmas(3)=pmas(1)
      pmas(4)=pmas(2)
      do i=5,8
         pmas(i)=mDelta/AMU
      end do
      epsj=0.005  !response function convergence criterion 
c====================================================================
c   Date, run numer and title
c====================================================================
c     numrun(1):day, 
c     numrun(2):month, 
c     numrun(3):year,
c     numrun(4):run number
c     ititle   :title 
C======================================================================
      read(1,'(2i2,i4,i2)',end=9000) (numrun(i),i=1,4)
      read(1,'(25a4)') ititle
C======================================================================
C  Calculation Options
c=====================================================================
c      KTDW  : = 0 PWIA
c              = 1 DWIA
c              = 2 Calculate only response functions
c      KTRPA : = 0 : 0th
C              = 1 : TDA
c              = 2 : RPA
c              = 3 : RPA for p-h but TDA for Delta-h 
c      KTND    = 0 : without Delta
c              = 1 : with Delta
c      KTRQCV  = 0 : Calculate R(q) but No convergence check 
c              = 1 : Convergence check by RS(q) and RV(q)
c              = 2 : Convergence chech by RS(q)
c              = 3 : Convergence check by RV(q)
c              = 4 : Not calculate R(q)
c      KTTNN   = 0 : Optimal factorization
c              = 1 : Franey-Love t-matrix
c      KTAMP   : specify the included types of the NN amplitudes
c                for ampl(r,theta,m,msf,msi,ip,ils)
c              = 0 : A+C1+C2+E+F+(B-F) (full calculation)
c              = 1 : A
c              = 2 : C1
c              = 3 : C2
c              = 4 : E
c              = 5 : F
c              = 6 : B-F
c              = 7 : A+E+(B+F)/2=A + Central + Tensor
c              = 8 : A+C1 (s=0 excitation dominant)
c              = 9 : E+F+(B-F)+C2 (s=1 excitation dominant)
C              Note that the potions =0,2,3,6,8 and 9 are based on 
C              the fixed reaction plane approximation, which does not work
C              at very small angles    
c      KTVEFF  = 0 : only LM-term in effective interaction
c              = 1 : LM+OBEP in effective interaction
C      KTHSPWD = 0 : No spreading widths of holes
C              = 1 : With spreading widths of holes
c  Calculated values
c      IRUMAX : maximum no. of RPA, 0th control
c        IRU=1: 0th, IRU=2: with correlation
c
c      0nly p-h            : NDPMAX = 1,NDMMAX = 1,ICHMX =4 (KTND=0)
c      Both p-h and Delta-h: NDPMAX = 2,NDMMAX = 3,ICHMX =8 (KTND=1)
c
c      obex=0.0 : without OBEP
c          =1.0 : with OBEP
C=====================================================================
      read(1,'(10i1)') ktcal
c---------------------------------------------------------------------
        KTDW  = KTCAL(1)
        KTRPA = KTCAL(2)
        KTND  = KTCAL(3)
        KTRQCV= KTCAL(4)
        KTTNN = KTCAL(5)
        KTAMP = KTCAL(6)
        KTVEFF= KTCAL(7)
        KTHSPWD= KTCAL(8)
c
      if(KTRPA.eq.0) then
        IRUMAX=1
      else
        IRUMAX=2
      endif
c
       NDPMIN=1
       if(KTND.eq.0) then
         NDPMAX=1
         NDMMAX=1
         ICHMX =4
       else if(KTND.eq.1) then
         NDPMAX=2
         NDMMAX=3
         ICHMX =8
       end if
c
      if(KTVEFF.eq.0) obex = 0.0
      if(KTVEFF.eq.1) obex = 1.0
C======================================================================
C  Calculation and Output Options
C=====================================================================
C     KTOUT_RQ: Response Function Output Control
C           =0: No Output
C           =1: Output R(q,w)
c           =2: Output R(q,w) and also weighted R^{N/D,N/d}(q,w) 
C               if NDMMAX=3 
c     KTOUT_VEF: OUTPUT effective ph interaction
c           =0: No output
c           =1: Output Effective ph Interaction
c     KTOUT_BDW: Print bound state wave functions in step of KTOUT_BDW
c           =0: Not printing
c 
C     KTOUT_XS:Cross Section Output Control
C            =0: Only Full Contribution
C            =1: Output Individual Contribution from NN,ND and DD
C     KTOUT_XSJ: Output cross sections etc. for each Jtr and Parity
C            =0: No output
C            =1: Output
C     KTOUT_OPT: Optical Potential Output
C            =0: No Output
C            =1: Output Incident and Exit Channel Optical Potetials
C     KTOUT_DW: Distorted Wave Output
C            =0: No Output
C            =1: Output Incident and Exit Channel Distorted Waves
C     KTOUT_NNA: Output of the squares of theNN amplitudes at the given T_p and q
C            =0: No Output
C            =1: Output
C     KTOUT_LTRATIO: OUTPUT of the L/T rastio
C            =0: No output
C            =1: Output
C=====================================================================
      read(1,'(10i1)') ktout
        KTOUT_RQ  =KTOUT(1) 
        KTOUT_VEF =KTOUT(2)
        KTOUT_BDW =KTOUT(3)
c
        KTOUT_XS  =KTOUT(4)
        KTOUT_XSJ =KTOUT(5)
        KTOUT_OPT =KTOUT(6)
        KTOUT_DW  =KTOUT(7)
        KTOUT_NNA =KTOUT(8)
        KTOUT_LTRATIO=KTOUT(9)
        KTOUT_PROP = KTOUT(10)
C======================================================================
c   Read page
c----------------------------------------------------------------------
 2000 read(1,'(8f10.5)') (a(i),i=1,8)
 4000 i=a(1)+0.1
      fi=i
      ich=(a(1)-fi)*10.0+0.01
c======================================================================
C     PAGE 01: Reaction specification
c      projectile and ejectile are the proton or the neutron 
c      Atg  : target mass number
c      Ztg  : target charge
c      Zprj : projectile charge
c      Zejc : ejectile   charge
c  Calculated value
c      itrz   : transferred charge
c      prmass : projectile mass
c      ejmass : ejectile mass
c      tgmass : target mass
C======================================================================
      if(i.eq.1) then
        Atg   = a(2)
        Ztg   = a(3)
        Zprj  = a(4)
        Zejc  = a(5)
c
C Projectile ejectile mass option 1
        if(Zprj.eq.0) prmass = mneutron
        if(Zprj.eq.1) prmass = mproton
        if(Zejc.eq.0) ejmass = mneutron
        if(Zejc.eq.1) ejmass = mproton
c
        tgmass= AMU*Atg
        itrz  =Zprj - Zejc
c
        do iii=1,2
           tmas(iii)=Atg-1.0
           tz(iii)= Ztg-pz(iii)
           pztz(iii)=pz(iii)*tz(iii)
        end do
        do iii=3,8
           tmas(iii)=Atg-1.0
           tz(iii)= Ztg+itrz-pz(iii)
           pztz(iii)=pz(iii)*tz(iii)
        end do
c
        pz1(1)  =Zprj
        pz1(2)  =Zejc
        tz1(1)  =Ztg
        tz1(2)  =Ztg+itrz
        zz1(1)  =pz1(1)*tz1(1)
        zz1(2)  =pz1(2)*tz1(2)
C======================================================================
C     PAGE 02:
c      elabi : incident kinetic energy in lab (MeV)
c      thetlmn: minimum scattering angle in lab.(deg)
c      dthetl : increment of scattering angle in lab.(deg)
c      nanmax : number of scattering angles
c      thetld : table of scattering angles in lab.(deg)
c      omglmn: minimum omega_lab (MeV) 
c      domegl: increment of omega_lab (MeV))
c      nwmax : number of omega_lab
c      omegld: table of transferred omega_lab
C======================================================================
      else if(i.eq.2) then
        elabi = a(2)
c
        nanmax =a(3)
        thetlmn=a(4)
        dthetl =a(5)
        do nan = 1,nanmax
            thetld(nan)=thetlmn+(nan-1)*dthetl
        end do
c
        nwmax =a(6)
        omglmn=a(7)
        domegl=a(8)
        do nw = 1,nwmax
            omegld(nw)=omglmn+(nw-1)*domegl
        end do
C======================================================================
C     PAGE 03: Transferred quantities
c--------------------------------------------------------------------- 
c      total spin transfer
c        itrjmn: minimum J,  
c        itrjmx: maximum J
c      parity transfer
c        knmin : parity transfer minimum
c        knmax : parity transfer maxmum
c         kn = 1: natural parity excitation
c         kn = 2: unnatural parity excitation
c      Orbital angular momentum transfer(special option)
c         KTLTR = 0: Standard choice
c         KTLTR = 1: Only lowest Ltr for the given Jtr
c      Convergence check with respect to Jtr
c         EPSJ : Convergence check criterion
C                If it is 0.0, it is set to be 0.005 (default)    
c      Intrinsic energy transfer modification
C         WSHIFT: Energy shift for response function
C======================================================================
      else if(i.eq.3) then
        itrjmn=a(2)
        itrjmx=a(3)
        knmin =a(4)
        knmax =a(5) 
        KTLTR =a(6)
        IF(a(7).ne.0.0) EPSJ  =a(7)
        WSHIFT=a(8)
C======================================================================
C     PAGE 04: integration data
c       rmax  : maximum r 
c       nsrmax: number of crude mesh points (<=nsrdm)
c               used in response func. calculation
c       tkdmx : maximum momentum k for Fourier transform (fm-1)
c       nkmax : number of mesh points of k
C  Calculated value
c       nrmax= 2*nsrmax: number of mesh points 
c              used in wave func. calculation
c       dsr   : increment of the crude mesh
c       dr    : increment of mesh 
C======================================================================
      else if(i.eq.4) then
        rmax=a(2)
        nsrmax= a(3)+0.1
        tkdmx=a(4)
        nkmax=a(5)+0.1
        if(nsrmax.gt.nsrdm) write(*,*)
     &     ' nsrmax exceeds NSRDM. Stop in input0'
        if(nkmax.gt.nkdm) write(*,*)
     &     ' nkmax exceeds NKDM. Stop in input0'
C
        dsr  =rmax/nsrmax
        dr=dsr/2.0
        nrmax=2*nsrmax
C======================================================================
C     PAGE 05: single particle potential(real part)
c       ICH =1: n-hole, =2: p-hole, =3: n-part, =4: p-part, =5: Delta   
c -----------------------------------------------------------------------
c     vd(ich)  : Central potential depth (MeV).  
c                If vd=0, calculated from the given binding energy 
c                of the state no.1
c     rrd(ich) : Central potential radius parameter (fm) 
c     ard(ich) : Central potential diffuseness parameter (fm)
c     vsod(ich): Spin-orbit potential strength (MeV)
c     rsod(ich): Spin-orbit potential radius paremeter (fm)
c     asod(ich): Spin-orbit potential diffuseness parameter (fm)
c     rcd(ich) : Coulomb radius parameter (fm)  
C======================================================================
      else if(i.eq.5) then
        vd(ich)  =a(2)
        rrd(ich) =a(3)
        ard(ich) =a(4)
c
        vsod(ich)=a(5)
        rsod(ich)=a(6)
        asod(ich)=a(7)
c
        rcd(ich) =a(8)
C======================================================================
C     PAGE  6: Single particle potential(imaginary part)
c       ICH =1: n-hole, =2: p-hole, =3: n-part, =4: p-part, =5: Delta   
c       ICH=1,2: fixed by fxpot.f 
c ------------------------------------------------------------------------
c       wd(ich)  : Central potential depth (MeV)
c                  If wd=999.0,  calculated by the spreading width formula
c                  If wd is less than 0.1MeV, it is set to be 0.1MeV
c       rid(ich) : Central potential radius parameter (fm)
c       aid(ich) : Central potential diffuseness parameter (fm)
c       WV0(ich) : Relative strength of the volume type 
c       WS0(ich) : Relative strength of the surface type
c       RVD2(ICH): Surface potential radius parameter (fm)
c       AVD2(ICH): Surface potential diffuseness parameter (fm)
C======================================================================
      else if(i.eq.6) then
        wd(ich)   =a(2)
        rid(ich)  =a(3)
        aid(ich)  =a(4)
        WV0(ich)  =a(5)
        WS0(ich)  =a(6)
        RVD2(ICH) =A(7)
        AVD2(ICH) =A(8)
C======================================================================
C     PAGE  7: Perey Factor AND SPREADING WIDTH PARAMETERS
C     ich=1,2,3,4
c     reffd(ich) : radius      parameter of Perey factor(fm)
c     aeffd(ich) : diffuseness parameter of Perey factor(fm)
c     bdifd(ich) : strength    parameter of Perey factor
c     alphsw(ich): spreading width strength (MeV)   
c     eps0sw(ich): spreading width parameter 1 (MeV)
c     eps1sw(ich): spreading width parameter 2 (MeV)
c     BEFM(ich)  : Binding energy of Fermi level (MeV)
C======================================================================
      ELSE IF(I.EQ.7) THEN
        REFFD(ICH) = A(2)
        AEFFD(ICH) = A(3)
        BDIFD(ICH) = A(4)
        alphsw(ich)= a(5)
        eps0sw(ich)= a(6)
        eps1sw(ich)= a(7)
        BEFM(ICH)  = a(8)
C======================================================================
C     PAGE 8: Occupied single particle states
c     nspmx(ich) : no. of   occupied single particle states
c---------------------------------------------------------------------
c     nspd  : n 
c     lspd  : l
c     fjspd : j,
c     berspd: real part of binding energy(MeV)
C======================================================================
      else if(i.eq.8) then
        nspmx(ich)=a(2)+0.1
c----------------------------------------------------------------------
        do n=1,nspmx(ich)
          read(1,'(2i5,2f10.5)') nspd(n,ich),lspd(n,ich),
     1                 FJSPD(N,ICH),BERSPD(N,ICH)
        end do
C======================================================================
C     PAGE 09: Effective Interaction of isovector channel
c----------------------------------------------------------------------
c     Vtautau : effective interaction strength of tautau-term 
c               with delta-type (MeV.fm^3)
c     piNN(D) coupling 
c       facbs   = (f_piNN)^2/(4*Pi) : pi-NN coupling constant
c       fratio  = f_piND/f_piNN
c       epion   : pion mass
c       wdthpi  : width of the pion popagator
c
c     piNN(D)  vertex form factor
c       ctpi(1) : Cutoff mass for piNN (MeV)
c       nctpi(1): Exponent of piNN vertex
c       ctpi(2) : Cutoff mass for piND (MeV)
c       nctpi(2): Exponent of piND vertex
c     rhoNN(D) coupling 
c       crhoo = [(f_rhoNN/f_piNN)/(m_rho/m_pi)]^2
c             = [(f_rhoND/f_piND)/(m_rho/m_pi)]^2 (assumed)
c       erhoo   : rho-meson mass
c       wdthrh  : width of rho propagator
c     rhoNN(D) vertex form factor
c       ctrh(1) : Cutoff mass for rhoNN (MeV)
c       nctrh(1): Exponent of rhoNN vertex
c       ctrh(2) : Cutoff mass for rhoND (MeV)
c       nctrh(2): Exponent of rhoND vertex
c
c     Landau-Migdal parameters
c
c      gpr-term factor
c       gpr(1,1)=g'_NN, gpr(1,2)=gpr(2,1)=g'_ND, gpr(2,2)=g'_DD     
c       ctgpr   : Cutoff mass for g' form factor (MeV)
c       nctgpr  : Exponent of g' form factor
c
c      hpr-term factor
c       hpr(1,1)=h'_NN, hpr(1,2)=hpr(2,1)=h'_ND, hpr(2,2)=h'_DD
c       cthpr   : Cutoff mass for h' form factor (MeV)
c       ncthpr  : Exponent of h' form factor
C======================================================================
      else if(i.eq.9) then
          if(ich.eq.0)  then
             Vtautau = a(2)
          else if(ich.eq.1)  then
            facbs  = a(2)
            fratio = a(3)
            crhoo  = a(4)
c
          else if(ich.eq.2)  then
            epion   = a(2)
            wdthpi  = a(3)
            ctpi(1) = a(4)
            nctpi(1)= a(5) + 0.1
            ctpi(2) = a(6)
            nctpi(2)= a(7) + 0.1
c
          else if(ich.eq.3)  then
            erhoo   = a(2)
            wdthrh  = a(3)
            ctrh(1) = a(4)
            nctrh(1)= a(5) + 0.1
            ctrh(2) = a(6)
            nctrh(2)= a(7) + 0.1
c
          else if(ich.eq.4)  then
            gpr(1,1) = a(2)
            gpr(1,2) = a(3)
            gpr(2,1) = a(3)
            gpr(2,2) = a(4)
            ctgpr = a(5)
            nctgpr= a(6) + 0.1
c
          else if(ich.eq.5)  then
            hpr(1,1) = a(2)
            hpr(1,2) = a(3)
            hpr(2,1) = a(3)
            hpr(2,2) = a(4)
            cthpr = a(5)
            ncthpr= a(6) + 0.1
c
          endif
C======================================================================
C     PAGE 10: Partial wave, Optical potential and t_NN information
c----------------------------------------------------------------------
c       lparmn : minimum partial wave orbital angular momentum
c       lparmx : maximum partial wave orbital angular momentum
c
c       ich=1: incident channel, =2: exit channel
c       ktdrc(ich): Optical potential type
c        = 0; nonrelativistic optical poential
c        = 1; Dirac phenomenological potential
c        = 2; potntials are read from file 15
C        = 3; global relativistic optical potential for p; Cooper et al.
C        = 4; global relativistic optical potential for n; Shen et al.
c       ktglb(ich): parameter set of the global potential of ktdrc(ich)=3
c          =  1: CA40-PB208 (P,P) 65-1040 MEV  FIT.1
c          =  2: CA40-PB208 (P,P) 65-1040 MEV  FIT.2 
c          =  3: C12 (P,P)   29-1040 MEV (EDAI C12)
c          =  4: O16 (P,P)   23-1040 MEV (EDAI O16)
c          =  5: CA40 (P,P)  21-1040 MEV (EDAI CA40)
c          =  6: ZR90 (P,P)  22-800  MEV (EDAI ZR90)
c          =  7: PB208 (P,P) 21-1040 MEV (EDAI PB208)
c          =  8: C12-PB208 (P,P) 21-1040 MEV (EDAD FIT.1)
c          =  9: C12-PB208 (P,P) 21-1040 MEV (EDAD FIT.2)
c          = 10: C12-PB208 (P,P) 21-1040 MEV (EDAD FIT.3)
C          = 11: 4HE-PB208 (P,P) 21-1040 MEV (UNDEMOCRATIC, TC)
C          = 12: 4HE-PB208 (P,P) 21-1040 MEV (DEMOCRATIC, SH)
c          = 13: 4HE (P,P)   156-1728 MEV (PRC73,024608(2006))
c
C       EFL        : Enrgy used for Franey-Love NN t-matrix
C                    =0 :incident energy is used
c----------------------------------------------------------------------
      else if(i.eq.10) then
        lparmn   =a(2)+0.01
        lparmx   =a(3)+0.01
c
        ktdrc(1) =a(4)+0.01
        ktglb(1) =a(5)+0.01
        ktdrc(2) =a(6)+0.01
        ktglb(2) =a(7)+0.01
c
        EFL      =a(8)
C======================================================================
C     PAGE 11: Non-relativistic optical potential parameters
C              Real part,  Volume type central + Spin-orbit
C----------------------------------------------------------------------
C      vd1  :Depth of volume type central potential (MeV)
C      rrd1 : Radius parameter of volume type central potential (fm)
C      ard1 : Diffuseness parameter of volume type central potential (fm)
C      vsod1: Strength of spin-orbit potential (MeV) 
C      rsord: Radius parameter of spin-orbit potential (fm)  
C      asord: Diffuseness parameter of spin-orbit potential (fm) 
C      rcd1 : Coulomb radius parameter (fm)  
C======================================================================
      else if(i.eq.11) then
        vd1(ich)  =a(2)
        rrd1(ich) =a(3)
        ard1(ich) =a(4)
c
        vsod1(ich)=a(5)
        rsord(ich)=a(6)
        asord(ich)=a(7)
c
        rcd1(ich) =a(8)
C======================================================================
C     PAGE 12: Non-relativistic optical potential parameters
C              Imaginary part:  Volume type central + Spin-orbit
C----------------------------------------------------------------------
C      wd1  : Depth of central potential (MeV)
C      rid1 : Radius parameter of Wood-Saxon potential (fm)
C      aid1 : Diffuseness parameter of Woods-Saxon potential (fm)
C      wsod : Strength of spin-orbit potential (MeV) 
C      rsoid: Radius parameter of spin-orbit potential (fm)
C      asoid: Diffuseness parameter of spin-orbit potential (fm)
C======================================================================
      else if(i.eq.12) then
        wd1(ich)  =a(2)
        rid1(ich) =a(3)
        aid1(ich) =a(4)
c
        wsod(ich) =a(5)
        rsoid(ich)=a(6)
        asoid(ich)=a(7)
C======================================================================
C     PAGE 13: Non-relativistic optical potential parameters
C              Imaginary part: Surface type
C----------------------------------------------------------------------
C      csdgd: Relative strength of surface type potential 
C      rgd  : Radius parameter of Gaussian type potential (fm)
C      agd  : Diffuseness parameter of Gaussian type potential (fm)
C======================================================================
      else if(i.eq.13) then
        csdgd(ich)=a(2)
        rgd(ich)=a(3)
        agd(ich)=a(4)
        ktop(ich)=3
        if(abs(a(2)).lt.1.e-5) ktop(ich)=1
        if(a(3).gt.0.0.and.a(4).gt.0.0) ktop(ich)=2
C======================================================================
C     PAGE 14: Optical potential parameters in Dirac phenomenology
C              Real part
C----------------------------------------------------------------------
C      vsd  : Strength of the scalar potential (MeV)
C      vvd  : Strength of the vector potential (MeV)
C      rsd  : Radius parameter of the scalar potential (fm) 
C      rvd  : Radius parameter of the vector potential (fm) 
C      asd  : Diffuseness parameter of the scalar potential (fm)
C      avd  : Diffuseness parameter of the vector potential (fm)
C      rcd1 : Coulomb radius parameter (fm)
C======================================================================
      else if(i.eq.14) then
        vsd(ich)  =a(2)
        vvd(ich)  =a(3)
        rsd(ich)  =a(4)
        rvd(ich)  =a(5)
        asd(ich)  =a(6)
        avd(ich)  =a(7)
c
        rcd1(ich) =a(8)
C======================================================================
C     PAGE 15:  Optical potential parameters in Dirac phenomenology
C               Imaginary part
C----------------------------------------------------------------------
C      wsd : Strength of the scalar potential (MeV)
C      wvd : Strength of the vector potential (MeV) 
C      rsid: Radius parameter of the scalar potential (fm) 
C      rvid: Radius parameter of the vector potential (fm)
C      asid: Diffuseness parameter of the scalar potential (fm)
C      avid: Diffuseness parameter of the vector potential (fm) 
C======================================================================
      else if(i.eq.15) then
        wsd(ich)  =a(2)
        wvd(ich)  =a(3)
        rsid(ich) =a(4)
        rvid(ich) =a(5)
        asid(ich) =a(6)
        avid(ich) =a(7)
C======================================================================
C     PAGE 0: read stop 
c       Go to setting remaining parameters
C======================================================================
      else if(i.eq.0) then
C======================================================================
c  set p-h/Delta-h state specification
c---------------------------------------------------------------------
        call phspec(itrz,KTRPA,KTND,npairx,ipsd1,ipsd2,fbck)
c======================================================================
c  Subside Potential Data 
c--------------------------------------------------------------------- 
        call fxpot
c===================================================================
        return
C-------------------------------------------------------------------
      end if
C====================================================================
      goto 2000
C--------------------------------------------------------------------
 9000 stop
      end
