c----------------------------------------------------------------------
      subroutine inte3(ktfg,ich,lc1,drho1,fjc1,XX,YY)
c     calculate distorted waves   ktfg=1 regular,  =2 irregular
c     asymptotic normalization of regular solution not yet adjusted
c     solution is given in (xx(nr),yy(nr))
c     regular: nr=1,nrmax+3    ;irregular:  nr=1,nrmax+1
c----------------------------------------------------------------------
      include 'dimn.fh'
      include 'fund1.fh'
      include 'base.fh'
      include 'modpot.fh'
      include 'coul.fh'
c
      real*4 XX(*),YY(*)
      real*4 dxx(7),dyy(7)
      data tenp35,tenm35/1.0e+30,1.0e-30/
c
      flc=lc1
      fic=pspn1(ich)
      fl2=flc*(flc+1.0)
      l=lc1+1
      i=ich
      ich2=i-2
      fsols=(fjc1*(fjc1+1.0)-fl2-fic*(fic+1.0))/2.0
      drho56=0.83333333d0*(drho1*drho1)
      drho12=drho56*0.1
      nrsml= l/3
      nrsml=min0(nrsml,5)
c
c     initial values of distoted waves
c
      if (ktfg.le.1) then
        rho=drho1
        rho2=rho*rho
        nrst=1
        nrnmx=nrmax+3
        qr1=0.0
        qi1=0.0
        xr1=0.0
        xi1=0.0
        rnl1=0.0
        if(lc1.eq.1) then
          xr1=-rho2/6.0
        end if
      else
        nrmax1=nrmax+1
        fnr=nrmax1
        rho=drho1*fnr
        nrst=nrmax1
        nrnmx=nrmax1
        rho2=rho*rho
      end if
      vbs1=vsov1(nrst,i)*fsols
      wbs1=wsov(nrst,i)*fsols
      vb1=vbcd1(nrst,i)
      wbc=wbcd1(nrst,i)
      qr2=vb1+vbs1-fl2/rho2
      qi2=wbc+wbs1
      rnl2=0.0
      if(ktfg.ne.2) then
        xr2=rho**l
        xi2=xr2
        xx(1)=xr2
        yy(1)=xi2
c--------------------------------------------------
        if(abs(rnl2).ge.0.1e-7) then
          devd=(vb1+vbs1)**2+(wbc+wbs1)**2
          xr2=(vb1+vbs1)*rnl2/devd
          xi2=-(wbc+wbs1)*rnl2/devd
          xx(1)=xr2
          yy(1)=xi2
          if(lc1.eq.1) then
            xr1=-xr2/6.0
            xi1=0.0
          end if
        end if
      end if
c--------------------------------------------------
c
c     start of fox goodwin integration
c
      do 120 nrn=2,nrnmx
      if(ktfg.le.1) then
        rho=rho+drho1
        nr=nrn
        nrm1=nr-1
      else
        rho=rho-drho1
        nr=nrmax1-nrn+1
        nrm1=nr+1
      end if
      rho2=rho*rho
      vb1=vbcd1(nr,i)+vsov1(nr,i)*fsols
      wb1=wbcd1(nr,i)+wsov(nr,i)*fsols
      qr3=vb1-fl2/rho2
      qi3=wb1
      rnl3=0.0
      if((ktfg.ne.2).or.(nrn.ne.2)) then
        t1=1.0+drho12*qr3
        t2=drho12*qi3
        d1=t2*t2+t1*t1
        t3=2.0-drho56*qr2
        t4=-drho56*qi2
        t5=-(1.0+drho12*qr1)
        t6=-drho12*qi1
        t8=t3*xr2-t4*xi2+t5*xr1-t6*xi1
     1    +drho56*rnl2+drho12*(rnl1+rnl3)
        t9=t3*xi2+t4*xr2+t5*xi1+t6*xr1
        xr3=(t8*t1+t9*t2)/d1
        xi3=(-t8*t2+t9*t1)/d1
c
        if((ktfg.ne.2).and.(nrn.lt.nrsml)) then
          xr3=rho**l
          xi3=xr3
c c c c c c
          if(abs(rnl3).ge.0.1e-7) then
            devd=vb1*vb1+wb1*wb1
            xr3=vb1*rnl3/devd
            xi3=-wb1*rnl3/devd
          end if
        end if
c c c c c c
c
        if(max(abs(xr3),abs(xi3)).gt.tenp35) then
          if(ktfg.eq.2) go to 130
          fac=tenm35
          xr2=xr2*fac
          xi2=xi2*fac
          rnl2=rnl2*fac
          xr3=xr3*fac
          xi3=xi3*fac
          rnl3=rnl3*fac
        else
          fac=1.0
        end if
        xr1=xr2
        xi1=xi2
        rnl1=rnl2
        xr2=xr3
        xi2=xi3
        rnl2=rnl3
      end if
      qr1=qr2
      qi1=qi2
      qr2=qr3
      qi2=qi3
      if((ktfg.ne.1).and.(nrn.le.2)) then
        xr1=ggr2(l,ich2,1)
        xi1=fgr2(l,ich2,1)
        xr2=ggr2(l,ich2,2)
        xi2=fgr2(l,ich2,2)
        xx(nrmax1)=xr1
        xx(nrmax )=xr2
        yy(nrmax1)=xi1
        yy(nrmax )=xi2
      else
        xx(nr)=xr3
        yy(nr)=xi3
        if((ktfg.ne.2).and.(fac.lt.0.5)) then
          do 98 nrt=1,nrm1
            xx(nrt)=xx(nrt)*fac
   98     yy(nrt)=yy(nrt)*fac
        end if
      end if
  120 continue
      go to 145
  130 do 140 nrt=1,nr
      xx(nrt)=xr2
  140 yy(nrt)=xi2
  145 if(ktfg.eq.2)  return
c
c     derivatives of distorted waves
c
      t1=1.0/(60.0*drho1)
      t2=9.0*t1
      t3=5.0*t2
      do 160 nrt=nrmax-3,nrmax+3
        n1=nrt-nrmax+4
        dxx(n1)=xx(nrt)
        dyy(n1)=yy(nrt)
  160 continue
      ur=dxx(4)
      ui=dyy(4)
      urp=t1*(dxx(7)-dxx(1))+t2*(dxx(2)-dxx(6))+t3*(dxx(5)-dxx(3))
      uip=t1*(dyy(7)-dyy(1))+t2*(dyy(2)-dyy(6))+t3*(dyy(5)-dyy(3))
c***********************
      call fnsg2(ich,nrmax,lc1,ur,ui,urp,uip,XX,YY)
c***********************
c
      return
      end
